<script setup lang="ts">
import router from "@/router";
const form = reactive({
  name: '',
  region: '',
  date1: '',
  date2: '',
  delivery: false,
  type: [],
  resource: '',
  desc: '',
})
const options = [
  {
    value: '1',
    label: '综合平均指标',
  },
  {
    value: '2',
    label: '毛发抽检阳性率',
  },
  {
    value: '3',
    label: '戒断三年未复吸人员查处率',
  },
  {
    value: '4',
    label: '在册吸毒人员滋事行为',
  },
  {
    value: '5',
    label: '易制毒化学品管控问题',
  },
  {
    value: '6',
    label: '辖区内出现聚集滥用窝点数',
  },
]
const onSubmit = () => {
  router.go(-1)
  console.log('submit!')
}
const Cancel = () => {
  router.go(-1)
  console.log('submit!')
}
</script>

<template>
  <div class="td_etid">
    <el-form :inline="true" :model="form"  label-width="50%">
      <div>
        禁毒评价
      </div>
      <div style="display:flex;">
        <el-form-item label="工作满意度" required  label-width="50%">
          <el-select v-model="form.region" placeholder="请选择">
            <el-option label="综合平均指标满意" value="shanghai" />
            <el-option label="毛发油检报到率满意" value="beijing" />
            <el-option label="外流涉毒人员满意" value="beijing" />
            <el-option label="禁毒工作满意度满意" value="beijing" />
          </el-select>
        </el-form-item>
        <el-form-item label="知识普及率" required label-width="50%">
          <el-select v-model="form.region" placeholder="请选择">
            <el-option label="综合平均指标普及率" value="shanghai" />
            <el-option label="毛发油检报到率普及率" value="beijing" />
            <el-option label="外流涉毒人员普及率" value="beijing" />
            <el-option label="禁毒工作满意度普及率" value="beijing" />
          </el-select>
        </el-form-item>
      </div>
      <div style="display:flex;">
        <el-form-item label="工作接触率" required  label-width="50%">
          <el-select v-model="form.region" placeholder="请选择">
            <el-option label="综合平均指标接触率" value="shanghai" />
            <el-option label="毛发油检报到率接触率" value="beijing" />
            <el-option label="外流涉毒人员接触率" value="beijing" />
            <el-option label="禁毒工作接触率" value="beijing" />
          </el-select>
        </el-form-item>
        <el-form-item label="毒情感知度" required label-width="50%">
          <el-select v-model="form.region" placeholder="请选择">
            <el-option label="综合平均指标感知度" value="shanghai" />
            <el-option label="毛发油检报到率感知度" value="beijing" />
            <el-option label="外流涉毒人员感知度" value="beijing" />
            <el-option label="禁毒工作满意度感知度" value="beijing" />
          </el-select>
        </el-form-item>
      </div>
      <div>
        各街镇排名
      </div>
      <div>
        <el-form-item label="选择指标" required >
          <el-select
            v-model="form.region"
            multiple
            collapse-tags
            collapse-tags-tooltip
            placeholder="请选择"
            style="width: 240px"
          >
            <el-option
              v-for="item in options"
              :key="item.value"
              :label="item.label"
              :value="item.value"
            />
          </el-select>
        </el-form-item>
      </div>
    </el-form>
    <div style="text-align: center">
      <el-button @click="Cancel">取消</el-button>
      <el-button type="primary" @click="onSubmit">保存</el-button>
    </div>
  </div>
</template>

<style scoped lang="scss">
.td_etid{
  padding: 10px;
}
.el-form-item{
  width: 40%;
}
</style>
